Bug 804649 - zif on update removes currently running kernel. [also misses dependencies compared to yum
zif on update removes currently running kernel. [also misses dependencies com...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zif (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 10:02 EDT by Satish Balay
Modified: 2013-02-13 09:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:42:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from the terminal (31.88 KB, application/octet-stream)
2012-03-19 10:02 EDT, Satish Balay
no flags Details

  None (edit)
Description Satish Balay 2012-03-19 10:02:06 EDT
Created attachment 571132 [details]
log from the terminal

Description of problem:

I've just tried zif [just to make sure yum is not pulling in extra dependencies], and I've noticed the following 2 issues.

- old kernels are removed [yum preserves the currently running kernel, and one older kernel]
- Also some dependencies were not capatured [as an invocation of yum captured this]. Its possible that both were reading off different mirorrs that was out of sync?

Version-Release number of selected component (if applicable):

zif-0.2.7-1.fc16.x86_64

How reproducible:

invoked zif only once.

Steps to Reproduce:
1. zif update [as of this morning]
  
Actual results:
old kernels removed. [I expected to see 3 kernels listed here - including the currently running kernel]

asterix:/home/balay>rpm -q kernel
kernel-3.2.10-3.fc16.x86_64
asterix:/home/balay>uname -a
Linux asterix 3.2.10-1.fc16.x86_64 #1 SMP Mon Mar 12 22:34:35 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
asterix:/home/balay>

Expected results:
old kernels kept

Additional info:

Attaching transaction log of the following:

yum update [quit without applying updates]
zif update [let it complete]
yum update [to see if zif missed anything]


[root@asterix cache]# grep kernel /var/log/zif.log
[install] kernel-3.2.10-3.fc16.x86_64 (updates) (update-system)
[install] kernel-devel-3.2.10-3.fc16.x86_64 (updates) (update-system)
[install] kernel-headers-3.2.10-3.fc16.x86_64 (updates) (update-system)
[remove] kernel-headers-3.2.10-1.fc16.x86_64 (installed) (remove-for-update)
Comment 1 Fedora End Of Life 2013-01-16 08:48:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 09:42:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.